<?php
/**
 * Created by PhpStorm.
 * User: VITAS
 * Date: 09.03.2016
 * Time: 18:40
 */

// src/AppBundle/Entity/Themes.php

namespace AppBundle\Entity;

use Gedmo\Mapping\Annotation as Gedmo; // gedmo annotations
use Doctrine\ORM\Mapping as ORM;

/**
 * @ORM\Entity
 * @ORM\Table(name="themes")
 */
class Themes
{
    /**
     * @ORM\Id
     * @ORM\Column(type="integer")
     * @ORM\GeneratedValue(strategy="AUTO")
     */
    protected $id;

    /**
     * @Gedmo\Timestampable(on="create")
     * @ORM\Column(type="datetime")
     */
    private $created;

    /**
     * @ORM\Column(type="string", length=100)
     */
    protected $tname;

    /**
     * @ORM\Column(type="string", length=100)
     */
    protected $tlink;

    /**
     * @ORM\Column(type="text")
     */
    protected $description;

    /**
     * @return mixed
     */
    public function getId()
    {
        return $this->id;
    }

    /**
     * @param mixed $id
     */
    public function setId($id)
    {
        $this->id = $id;
    }

    /**
     * @return mixed
     */
    public function getCreated()
    {
        return $this->created;
    }

    /**
     * @param mixed $created
     */
    public function setCreated($created)
    {
        $this->created = $created;
    }

    /**
     * @return mixed
     */
    public function getTname()
    {
        return $this->tname;
    }

    /**
     * @param mixed $tname
     */
    public function setTname($tname)
    {
        $this->tname = $tname;
    }

    /**
     * @return mixed
     */
    public function getTlink()
    {
        return $this->tlink;
    }

    /**
     * @param mixed $tlink
     */
    public function setTlink($tlink)
    {
        $this->tlink = $tlink;
    }

    /**
     * @return mixed
     */
    public function getDescription()
    {
        return $this->description;
    }

    /**
     * @param mixed $description
     */
    public function setDescription($description)
    {
        $this->description = $description;
    }

    public function __construct()
    {
        parent::__construct();
        // your own logic
    }
}
